;;; init.el -*- lexical-binding: t; -*-

;; Copy this file to ~/.doom.d/init.el or ~/.config/doom/init.el ('doom
;; quickstart' will do this for you). The `doom!' block below controls what
;; modules are enabled and in what order they will be loaded. Remember to run
;; 'doom refresh' after modifying it.
;;
;; More information about these modules (and what flags they support) can be
;; found in modules/README.org.

(doom! :input
       ;;chinese
       ;;japanese
       ;;(layout +azerty +bepo)

       :completion
       (company +childframe)
       ;;helm
       ;;ido
       ;;ivy
       (vertico +icons)

       :ui
       ;;deft
       doom
       doom-dashboard
       ;;doom-quit
       (emoji +github +unicode)
       hl-todo
       ;;hydra
       indent-guides
       ligatures
       minimap
       (modeline +light)
       nav-flash
       ;;neotree
       ophints
       (popup +defaults)
       ;;tabs
       ;;treemacs
       ;;unicode
       vc-gutter
       vi-tilde-fringe
       window-select
       workspaces
       ;;zen

       :editor
       (evil +everywhere)
       ;; file-templates
       fold
       ;;(format +onsave)
       ;;god
       ;;lispy
       ;;multiple-cursors
       ;;objed
       ;;parinfer
       rotate-text
       snippets
       ;;word-wrap

       :emacs
       (dired
        +ranger
        +icons
        )
       electric
       ;;ibuffer
       undo
       vc

       :term
       ;;eshell
       ;;shell
       ;;term
       ;;vterm

       :checkers
       syntax
       ;;spell
       ;;grammar

       :tools
       ;;ansible
       ;;debugger
       ;;direnv
       docker
       editorconfig
       ;;ein
       eval
       ;;gist
       (lookup
        +docsets)
       (lsp +peek)
       magit
       ;;make
       ;;pass
       ;;pdf
       ;;prodigy
       rgb
       ;;taskrunner
       ;;terraform
       ;;tmux
       ;;upload

       :os
       (:if IS-MAC macos)
       tty

       :lang
       ;;agda
       ;;beancount
       ;;cc
       ;;clojure
       ;;common-lisp
       ;;coq
       ;;crystal
       ;;csharp
       ;;dart
       data
       (elixir +lsp)
       ;;elm
       emacs-lisp
       ;;erlang
       ;;ess
       ;;factor
       ;;faust
       ;;fsharp
       ;;fstar
       ;;gdscript
       ;;(go +lsp)
       ;;(haskell +lsp)
       ;;hy
       ;;idris
       ;;(java +meghanada)
       (javascript +lsp)
       json
       ;;julia
       ;;kotlin
       ;;latex
       ;;lean
       ;;factor
       ;;ledger
       ;;lua
       markdown
       ;;nim
       ;;nix
       ;;ocaml
       ;;(org +brain +dragndrop +gnuplot +hugo +ipython +journal +jupyter +noter +pandoc +pomodoro +present +pretty +roam)
       ;;php
       ;;plantuml
       ;;purescript
       ;;python
       ;;qt
       ;;racket
       ;;raku
       ;;rest
       ;;ruby
       (rust +lsp)
       ;;scala
       ;;scheme
       sh
       ;;sml
       ;;solidity
       ;;swift
       ;;terra
       web
       yaml
       ;;zig

       :email
       ;;(mu4e +gmail)
       ;;notmuch
       ;;(wanderlust +gmail)

       ;; Applications are complex and opinionated modules that transform Emacs
       ;; toward a specific purpose. They may have additional dependencies and
       ;; should be loaded late.
       :app
       ;;calendar
       ;;emms
       ;;everywhere
       ;;irc
       ;;(rss +org)
       ;;twitter

       :config
       ;; For literate config users. This will tangle+compile a config.org
       ;; literate config in your `doom-private-dir' whenever it changes.
       ;;literate

       ;; The default module sets reasonable defaults for Emacs. It also
       ;; provides a Spacemacs-inspired keybinding scheme and a smartparens
       ;; config. Use it as a reference for your own modules.
       (default +bindings +smartparens))
